## 3270font 1.2

=== Makefile ===
SHELL = /bin/sh

.SUFFIXES:

all: 3270Medium_HQ.sfd
	./generate_derived.pe

install: all
	cp 3270Narrow.otf 3270Medium.otf ~/.local/share/fonts

uninstall:
	rm ~/.local/share/fonts/3270Narrow.otf ~/.local/share/fonts/3270Medium.otf

zip: all
	zip 3270_fonts.zip 3270Medium.* 3270Narrow.*

clean:
	@find . -iname '*.otf' -delete -o -iname '*.ttf' -delete -o -iname '*.afm' -delete -o -iname '*.pfm' -delete -o -iname '*.woff' -delete

=== debian/changelog ===
3270font (1.2-1) unstable; urgency=low

  * Initial release (Closes: #776449)

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 29 Jan 2015 02:55:49 +0100

## 3270font 1.2.3

=== Makefile ===
SHELL = /bin/sh

.SUFFIXES:

all: 3270Medium_HQ.sfd
	./generate_derived.pe

install: all
	cp 3270Narrow.otf 3270Medium.otf ~/.local/share/fonts

uninstall:
	rm -f ~/.local/share/fonts/3270Narrow.otf ~/.local/share/fonts/3270Medium.otf

zip: all
	zip 3270_fonts_$(shell git rev-parse --short HEAD).zip 3270Medium.* 3270Narrow.*

clean:
	@find . -name '*.otf' -delete -o -name '*.ttf' -delete -o -name '*.afm' -delete -o -name '*.pfm' -delete -o -name '*.woff' -delete -o -name '*.g2n' -delete
	@rm -f 3270_fonts_*.zip 3270Medium_HQ_Narrow.sfd

=== debian/changelog ===
3270font (1.2.3-1) unstable; urgency=medium

  * New upstream release
  * Add a watch file.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 28 Aug 2015 22:28:09 +0200

=== debian/control ===
Source: 3270font
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>= 9), fontforge-nox | fontforge
Standards-Version: 3.9.6
Homepage: https://github.com/rbanffy/3270font
Vcs-Git: https://github.com/kilobyte/3270font.git -b debian
Vcs-Browser: https://github.com/kilobyte/3270font/tree/debian

Package: fonts-3270
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: monospaced font based on IBM 3270 terminals
 This font is derived from the x3270 font, which, in turn, was translated
 from the one in Georgia Tech's 3270tool, which was itself hand-copied
 from a 3270 terminal.
 .
 While looking reasonably close to its bitmap ancestors, this is a vector
 font that looks good at any size.  Its recommended use is, obviously, a
 text terminal, same as nearly half a century ago.

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<3270font>-$1\.tar\.gz/ \
  https://github.com/rbanffy/3270font/tags .*/v?(\d\S*)\.tar\.gz

## 3270font 1.2.11

=== Makefile ===
SHELL = /bin/sh

.SUFFIXES:

all: 3270Medium_HQ.sfd
	@./generate_derived.pe

help:
	@echo "Please use \`make <target>' where <target> is one of:"
	@echo "  all        Generates the TrueType, OpenType, Type-1 and WebFont files."
	@echo "  install    Copies the generated fonts into ~/.local/share/fonts"
	@echo "  uninstall  Removes the generated files from ~/.local/share/fonts"
	@echo "  zip        Creates the ZIP archive to be sent to S3 (the 'binary build')"
	@echo "  test       Generates and checks font files"
	@echo "  fulltest   Also ensures the .zip file is valid and available on S3"
	@echo "  clean      Deletes all automatically generated files."

install: all
	@install -d ~/.local/share/fonts
	@install 3270Narrow.otf 3270Medium.otf ~/.local/share/fonts

uninstall:
	@$(RM) ~/.local/share/fonts/3270Narrow.otf ~/.local/share/fonts/3270Medium.otf

zip: all
	@zip 3270_fonts_$(shell git rev-parse --short HEAD).zip 3270Medium.* 3270SemiNarrow.* 3270Narrow.*

test: all
	fontlint 3270Medium.otf
	fontlint 3270Medium.pfm
	fontlint 3270Medium.ttf
	fontlint 3270Medium.woff
	fontlint 3270SemiNarrow.otf
	fontlint 3270SemiNarrow.ttf
	fontlint 3270SemiNarrow.pfm
	fontlint 3270SemiNarrow.woff
	fontlint 3270Narrow.otf
	fontlint 3270Narrow.ttf
	fontlint 3270Narrow.pfm
	fontlint 3270Narrow.woff

fulltest: zip test
	@zip -T 3270_fonts_*.zip
	@wget --spider $(shell grep -Eo 'http://s3.amazonaws.com/rbanffy/3270_fonts_[^/"]+' README.md)

clean:
	@find . -name '*.otf' -delete -o -name '*.ttf' -delete -o -name '*.afm' -delete -o -name '*.pfm' -delete -o -name '*.woff' -delete -o -name '*.g2n' -delete
	@$(RM) 3270_fonts_*.zip 3270Medium_HQ_Narrow.sfd

=== debian/changelog ===
3270font (1.2.11-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Feb 2016 17:04:01 +0100

3270font (1.2.9-1) unstable; urgency=medium

  * New upstream release.
    + It includes the Debian logo at U+F100.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 09 Jan 2016 04:36:46 +0100

3270font (1.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 07 Jan 2016 07:02:00 +0100

3270font (1.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 23 Dec 2015 12:39:42 +0100

3270font (1.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Run fontlint during build, as upstream makefile does.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 22 Dec 2015 21:09:08 +0100

3270font (1.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 02 Dec 2015 23:12:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper (>= 9), fontforge-nox | fontforge
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/rbanffy/3270font
 Vcs-Git: https://github.com/kilobyte/3270font.git -b debian
 Vcs-Browser: https://github.com/kilobyte/3270font/tree/debian

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:

override_dh_auto_clean:
	make clean
	rm -f 3270Medium_HQ_Narrow.sfd

## 3270font 1.2.16

=== Makefile ===
SHELL = /bin/sh
UNAME = $(shell uname)

ifeq ($(UNAME),Linux)
	DESTFOLDER=~/.local/share/fonts
endif
ifeq ($(UNAME),Darwin)
	DESTFOLDER=~/Library/Fonts
endif

.SUFFIXES:

all: 3270Medium_HQ.sfd
	@./generate_derived.pe

help:
	@echo "Please use \`make <target>' where <target> is one of:"
	@echo "  all        Generates the TrueType, OpenType, Type-1 and WebFont files."
	@echo "  install    Copies the generated OTF fonts into the system-appropriate folder (Ubuntu, Fedora, OSX)."
	@echo "  uninstall  Uninstalls the generated OTF fonts."
	@echo "  zip        Creates the ZIP archive to be sent to S3 (the 'binary build')."
	@echo "  test       Generates and checks font files."
	@echo "  fulltest   Also ensures the .zip file is valid and available on S3."
	@echo "  upload     Uploads the generated .zip file to S3."
	@echo "  clean      Deletes all automatically generated files."
	@echo "  help       Displays this message."

install: all
	@install -d $(DESTFOLDER)
	@install 3270Narrow.otf 3270Medium.otf 3270SemiNarrow.otf $(DESTFOLDER)

uninstall:
	@$(RM) $(DESTFOLDER)/3270Narrow.otf $(DESTFOLDER)/3270Medium.otf $(DESTFOLDER)/3270SemiNarrow.otf

zip: all
	@zip 3270_fonts_$(shell git rev-parse --short HEAD).zip 3270Medium.* 3270SemiNarrow.* 3270Narrow.*

test: all
	@fontlint 3270Medium.otf
	@fontlint 3270Medium.pfm
	@fontlint 3270Medium.ttf
	@fontlint 3270Medium.woff
	@fontlint 3270SemiNarrow.otf
	@fontlint 3270SemiNarrow.ttf
	@fontlint 3270SemiNarrow.pfm
	@fontlint 3270SemiNarrow.woff
	@fontlint 3270Narrow.otf
	@fontlint 3270Narrow.ttf
	@fontlint 3270Narrow.pfm
	@fontlint 3270Narrow.woff

fulltest: zip test
	@zip -T 3270_fonts_*.zip
	@wget --spider $(shell grep -Eo 'http://s3.amazonaws.com/3270font/3270_fonts_[^/"]+\.zip' README.md)

upload: zip
	aws s3 cp 3270_fonts_$(shell git rev-parse --short HEAD).zip s3://3270font/ --acl public-read --storage-class REDUCED_REDUNDANCY

clean:
	@find . -name '*.otf' -delete -o -name '*.ttf' -delete -o -name '*.afm' -delete -o -name '*.pfm' -delete -o -name '*.woff' -delete -o -name '*.g2n' -delete
	@$(RM) 3270_fonts_*.zip 3270Medium_HQ_Narrow.sfd, 3270Medium_HQ_SemiNarrow.sfd

=== debian/changelog ===
3270font (1.2.16-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 28 Jun 2016 11:33:52 +0200

3270font (1.2.15-1) unstable; urgency=medium

  * New upstream release.  Adds Cyrillic et al.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 24 Jun 2016 09:14:51 +0200

3270font (1.2.14-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 21 May 2016 04:22:34 +0200

3270font (1.2.13-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 20 Apr 2016 12:29:18 +0200

3270font (1.2.12-1) unstable; urgency=medium

  * New upstream release.  With a beer mug!

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 19 Apr 2016 21:56:50 +0200

## 3270font 1.2.19

=== Makefile ===
--- 
+++ 
@@ -10,22 +10,28 @@
 
 .SUFFIXES:
 
-all: 3270Medium_HQ.sfd
+all: derived sample
+
+derived: 3270Medium_HQ.sfd
 	@./generate_derived.pe
+
+sample: derived 
+	@./generate_sample_image.py
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of:"
-	@echo "  all        Generates the TrueType, OpenType, Type-1 and WebFont files."
+	@echo "  all        Generates the TrueType, OpenType, Type-1, WebFont files and sample image."
 	@echo "  install    Copies the generated OTF fonts into the system-appropriate folder (Ubuntu, Fedora, OSX)."
 	@echo "  uninstall  Uninstalls the generated OTF fonts."
 	@echo "  zip        Creates the ZIP archive to be sent to S3 (the 'binary build')."
+	@echo "  sample     Generate a sample image."
 	@echo "  test       Generates and checks font files."
 	@echo "  fulltest   Also ensures the .zip file is valid and available on S3."
 	@echo "  upload     Uploads the generated .zip file to S3."
 	@echo "  clean      Deletes all automatically generated files."
 	@echo "  help       Displays this message."
 
-install: all
+install: derived
 	@install -d $(DESTFOLDER)
 	@install 3270Narrow.otf 3270Medium.otf 3270SemiNarrow.otf $(DESTFOLDER)
 
@@ -57,5 +63,5 @@
 	aws s3 cp 3270_fonts_$(shell git rev-parse --short HEAD).zip s3://3270font/ --acl public-read --storage-class REDUCED_REDUNDANCY
 
 clean:
-	@find . -name '*.otf' -delete -o -name '*.ttf' -delete -o -name '*.afm' -delete -o -name '*.pfm' -delete -o -name '*.woff' -delete -o -name '*.g2n' -delete
+	@find . -name '*.otf' -delete -o -name '*.ttf' -delete -o -name '*.afm' -delete -o -name '*.pfm' -delete -o -name '*.woff' -delete -o -name '*.g2n' -delete -o -name '*.png' -delete
 	@$(RM) 3270_fonts_*.zip 3270Medium_HQ_Narrow.sfd, 3270Medium_HQ_SemiNarrow.sfd

## 3270font 1.2.20

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 derived: 3270Medium_HQ.sfd
 	@./generate_derived.pe
 
-sample: derived 
+sample: derived
 	@./generate_sample_image.py
 
 help:
@@ -39,9 +39,9 @@
 	@$(RM) $(DESTFOLDER)/3270Narrow.otf $(DESTFOLDER)/3270Medium.otf $(DESTFOLDER)/3270SemiNarrow.otf
 
 zip: all
-	@zip 3270_fonts_$(shell git rev-parse --short HEAD).zip 3270Medium.* 3270SemiNarrow.* 3270Narrow.*
+	@zip 3270_fonts_$(shell git rev-parse --short HEAD).zip 3270Medium.* 3270SemiNarrow.* 3270Narrow.* LICENSE.txt
 
-test: all
+test: derived
 	@fontlint 3270Medium.otf
 	@fontlint 3270Medium.pfm
 	@fontlint 3270Medium.ttf

=== debian/changelog ===
3270font (1.2.20-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 21 Jan 2017 01:40:51 +0100

3270font (1.2.19-1) unstable; urgency=medium

  * New upstream release.
  * Amend patches for partial upstream fix.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 05 Nov 2016 04:28:53 +0100

3270font (1.2.18-1) unstable; urgency=medium

  * New upstream release.  Adds Greek and all of WGL-4!
  * Work around upstream Makefile wanting to build a sample image.
  * Don't test non-OTF files (PFMs have a fatal error with new fontforge,
    but we don't install those anyway).

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 16 Oct 2016 04:17:52 +0200

3270font (1.2.17-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 20 Aug 2016 07:52:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper (>= 9), fontforge-nox | fontforge
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/rbanffy/3270font
 Vcs-Git: https://github.com/kilobyte/3270font.git -b debian
 Vcs-Browser: https://github.com/kilobyte/3270font/tree/debian

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	make derived
+
 override_dh_auto_install:
 
 override_dh_auto_clean:

## 3270font 2.0.0

=== Makefile ===
SHELL = /bin/sh
UNAME = $(shell uname)
MKDIR_P = mkdir -p
BUILD_DIR = build

ifeq ($(UNAME),Linux)
	DESTFOLDER=~/.local/share/fonts
endif
ifeq ($(UNAME),Darwin)
	DESTFOLDER=~/Library/Fonts
endif

.SUFFIXES:

all: derived sample

font: derived

derived: 3270Medium_HQ.sfd
	@ ${MKDIR_P} ${BUILD_DIR}
	@./generate_derived.pe

sample: derived
	@./generate_sample_image.py

help:
	@echo "Please use \`make <target>' where <target> is one of:"
	@echo "  all        Generates the TrueType, OpenType, Type-1, WebFont files and sample image."
	@echo "  font       Generates the font, as with 'all', without the sample image"
	@echo "  install    Copies the generated OTF fonts into the system-appropriate folder (Ubuntu, Fedora, OSX)."
	@echo "  uninstall  Uninstalls the generated OTF fonts."
	@echo "  zip        Creates the ZIP archive to be sent to S3 (the 'binary build')."
	@echo "  sample     Generate a sample image."
	@echo "  test       Generates and checks font files."
	@echo "  fulltest   Also ensures the .zip file is valid and available on S3."
	@echo "  upload     Uploads the generated .zip file to S3."
	@echo "  clean      Deletes all automatically generated files."
	@echo "  help       Displays this message."

install: derived
	@install -d $(DESTFOLDER)
	@install ${BUILD_DIR}/3270Narrow.otf ${BUILD_DIR}/3270Medium.otf ${BUILD_DIR}/3270SemiNarrow.otf $(DESTFOLDER)

uninstall:
	@$(RM) $(DESTFOLDER)/3270Narrow.otf $(DESTFOLDER)/3270Medium.otf $(DESTFOLDER)/3270SemiNarrow.otf

zip: derived
	@zip -j ${BUILD_DIR}/3270_fonts_$(shell git rev-parse --short HEAD).zip ${BUILD_DIR}/3270Medium.* ${BUILD_DIR}/3270SemiNarrow.* ${BUILD_DIR}/3270Narrow.* LICENSE.txt

skimpytest: derived
	fontlint ${BUILD_DIR}/3270Medium.otf
	fontlint ${BUILD_DIR}/3270Medium.ttf
	fontlint ${BUILD_DIR}/3270Medium.woff
	fontlint ${BUILD_DIR}/3270SemiNarrow.ttf
	fontlint ${BUILD_DIR}/3270Narrow.ttf

test: skimpytest
# These are tests that fail on Travis (because their fontlint can't ignore stuff).
# Yes. This is "works on my computer".
	fontlint -i 98 ${BUILD_DIR}/3270SemiNarrow.otf
	fontlint -i 98 ${BUILD_DIR}/3270SemiNarrow.pfm
	fontlint -i 98 ${BUILD_DIR}/3270SemiNarrow.woff
	fontlint -i 98 ${BUILD_DIR}/3270Narrow.otf
	fontlint -i 98 ${BUILD_DIR}/3270Narrow.woff

travistest: zip skimpytest

fulltest: zip test
	@zip -T ${BUILD_DIR}/3270_fonts_*.zip
	@wget --spider $(shell grep -Eo 'http://s3.amazonaws.com/3270font/3270_fonts_[^/"]+\.zip' README.md)

upload: zip
	aws s3 cp ${BUILD_DIR}/3270_fonts_$(shell git rev-parse --short HEAD).zip s3://3270font/ --acl public-read --storage-class REDUCED_REDUNDANCY

clean:
	@$(RM) -rf ${BUILD_DIR}

=== requirements.txt ===
pillow
ipdb

=== debian/changelog ===
3270font (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 12 Aug 2018 19:40:18 +0200

3270font (1.2.23-2) unstable; urgency=medium

  * Update the Fonts Team address.
  * dh 11, R³.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 27 Apr 2018 02:50:15 +0200

3270font (1.2.23-1) experimental; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 10 May 2017 23:28:00 +0200

3270font (1.2.22-1) experimental; urgency=medium

  * New upstream release.
  * License change: it's now BSD3|SIL.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 09 May 2017 01:05:18 +0200

3270font (1.2.21-1) experimental; urgency=medium

  * New upstream release.
  * Bump debhelper to 10.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 02 Apr 2017 05:08:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: 3270font
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 9), fontforge-nox | fontforge
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11~), fontforge-nox | fontforge
+Standards-Version: 4.2.0
+Rules-Requires-Root: no
 Homepage: https://github.com/rbanffy/3270font
 Vcs-Git: https://github.com/kilobyte/3270font.git -b debian
 Vcs-Browser: https://github.com/kilobyte/3270font/tree/debian

## 3270font 2.0.2

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,9 @@
 font: derived
 
 derived: 3270Medium_HQ.sfd
-	@ ${MKDIR_P} ${BUILD_DIR}
+	@$(MKDIR_P) ${BUILD_DIR}
 	@./generate_derived.pe
+	@cp fonts-3270.metainfo.xml ${BUILD_DIR}
 
 sample: derived
 	@./generate_sample_image.py
@@ -39,13 +40,13 @@
 
 install: derived
 	@install -d $(DESTFOLDER)
-	@install ${BUILD_DIR}/3270Narrow.otf ${BUILD_DIR}/3270Medium.otf ${BUILD_DIR}/3270SemiNarrow.otf $(DESTFOLDER)
+	@install ${BUILD_DIR}/3270Narrow.ttf ${BUILD_DIR}/3270Medium.ttf ${BUILD_DIR}/3270SemiNarrow.ttf $(DESTFOLDER)
 
 uninstall:
-	@$(RM) $(DESTFOLDER)/3270Narrow.otf $(DESTFOLDER)/3270Medium.otf $(DESTFOLDER)/3270SemiNarrow.otf
+	@$(RM) $(DESTFOLDER)/3270Narrow.ttf $(DESTFOLDER)/3270Medium.ttf $(DESTFOLDER)/3270SemiNarrow.ttf
 
 zip: derived
-	@zip -j ${BUILD_DIR}/3270_fonts_$(shell git rev-parse --short HEAD).zip ${BUILD_DIR}/3270Medium.* ${BUILD_DIR}/3270SemiNarrow.* ${BUILD_DIR}/3270Narrow.* LICENSE.txt
+	@zip -j ${BUILD_DIR}/3270_fonts_$(shell git rev-parse --short HEAD).zip ${BUILD_DIR}/3270Medium.* ${BUILD_DIR}/3270SemiNarrow.* ${BUILD_DIR}/3270Narrow.* LICENSE.txt fonts-3270.metainfo.xml
 
 skimpytest: derived
 	fontlint ${BUILD_DIR}/3270Medium.otf
@@ -67,7 +68,7 @@
 
 fulltest: zip test
 	@zip -T ${BUILD_DIR}/3270_fonts_*.zip
-	@wget --spider $(shell grep -Eo 'http://s3.amazonaws.com/3270font/3270_fonts_[^/"]+\.zip' README.md)
+	@wget --spider $(shell grep -Eo 'https://3270font.s3.amazonaws.com/3270_fonts_[^/"]+\.zip' README.md)
 
 upload: zip
 	aws s3 cp ${BUILD_DIR}/3270_fonts_$(shell git rev-parse --short HEAD).zip s3://3270font/ --acl public-read --storage-class REDUCED_REDUNDANCY

=== debian/changelog ===
3270font (2.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 20 Jun 2019 03:41:40 +0200

3270font (2.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Install appstream metadata.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 20 May 2019 00:25:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper (>= 11~), fontforge-nox | fontforge
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: https://github.com/rbanffy/3270font
 Vcs-Git: https://github.com/kilobyte/3270font.git -b debian

## 3270font 2.0.3

=== Makefile ===
.PHONY: clean help all font test fbchecks upload
.DEFAULT_GOAL := help

SHELL = /bin/sh
UNAME = $(shell uname)
MKDIR_P = mkdir -p
BUILD_DIR = build

ifeq ($(UNAME),Linux)
	DESTFOLDER=~/.local/share/fonts
endif
ifeq ($(UNAME),Darwin)
	DESTFOLDER=~/Library/Fonts
endif

.SUFFIXES:

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-10s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

help: ## Displays this message.
	@echo "Please use \`make <target>' where <target> is one of:"
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

all: font sample ## Generates the TrueType, OpenType, Type-1, WebFont files and sample image."

font: 3270_HQ.sfd fonts-3270.metainfo.xml ## Generates the font files from the SFD
	@$(MKDIR_P) ${BUILD_DIR}
	@./generate_derived.pe 2> /dev/null >&2
	@cp fonts-3270.metainfo.xml ${BUILD_DIR}

sample: font ## Generate a sample image
	@./generate_sample_image.py

install: font ## Copies the generated OTF fonts into the system-appropriate folder (Ubuntu, Fedora, OSX).
	@install -d $(DESTFOLDER)
	@install ${BUILD_DIR}/3270Condensed-Regular.ttf ${BUILD_DIR}/3270-Regular.ttf ${BUILD_DIR}/3270SemiCondensed-Regular.ttf $(DESTFOLDER)

uninstall: ## Uninstalls the generated fonts
	@$(RM) $(DESTFOLDER)/3270Condensed-Regular.ttf $(DESTFOLDER)/3270-Regular.ttf $(DESTFOLDER)/3270SemiCondensed-Regular.ttf

zip: font ## Creates the ZIP archive to be sent to S3 (the 'binary build')
	@zip -j ${BUILD_DIR}/3270_fonts_$(shell git rev-parse --short HEAD).zip ${BUILD_DIR}/3270-Regular.* ${BUILD_DIR}/3270SemiCondensed-Regular.* ${BUILD_DIR}/3270Condensed-Regular.* LICENSE.txt fonts-3270.metainfo.xml

fbchecks: font ## Runs the Font Bakery set of tests required by Google Fonts
	@./fontbakery_checks.sh

skimpytest: font ## Runs the minimal tests
	@fontlint ${BUILD_DIR}/3270-Regular.otf
	@fontlint ${BUILD_DIR}/3270-Regular.ttf
	@fontlint ${BUILD_DIR}/3270-Regular.woff
	@fontlint ${BUILD_DIR}/3270SemiCondensed-Regular.ttf
	@fontlint ${BUILD_DIR}/3270Condensed-Regular.ttf

test: skimpytest ## Generates and checks font files
# These are tests that fail on Travis (because their fontlint can't ignore stuff).
# Yes. This is "works on my computer".
	@fontlint -i 98 ${BUILD_DIR}/3270SemiCondensed-Regular.otf
	@fontlint -i 98 ${BUILD_DIR}/3270SemiCondensed-Regular.ttf
	@fontlint -i 98 ${BUILD_DIR}/3270SemiCondensed-Regular.woff
	@fontlint -i 98 ${BUILD_DIR}/3270Condensed-Regular.otf
	@fontlint -i 98 ${BUILD_DIR}/3270Condensed-Regular.ttf
	@fontlint -i 98 ${BUILD_DIR}/3270Condensed-Regular.woff

travistest: zip skimpytest ## Runs the Travis CI set of tests

fulltest: zip test fbchecks ## Runs the full set of tests and verifies the ZIP file mentioned in the README is present.
	@zip -T ${BUILD_DIR}/3270_fonts_*.zip
	@wget --spider $(shell grep -Eo 'https://3270font.s3.amazonaws.com/3270_fonts_[^/"]+\.zip' README.md)

upload: zip ## Uploads the generated .zip file to S3
	aws s3 cp ${BUILD_DIR}/3270_fonts_$(shell git rev-parse --short HEAD).zip s3://3270font/ --acl public-read --storage-class REDUCED_REDUNDANCY

clean: ## Deletes all automatically generated files
	@$(RM) -rf ${BUILD_DIR}
	@$(RM) -rf gfonts_files/*/DESCRIPTION.*.html
	@$(RM) -rf gfonts_files/*/LICENSE.txt
	@$(RM) -rf gfonts_files/*/3270*.ttf
	@$(RM) -rf gfonts_files/*/3270*.ttf.xml
	@$(RM) -rf Fontbakery-check-results.md

=== requirements.txt ===
git+https://github.com/googlefonts/fontbakery
git+https://github.com/googlefonts/gftools
pillow
ipdb

=== debian/changelog ===
3270font (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * dh 12.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 30 Dec 2019 21:28:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 11~), fontforge-nox | fontforge
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (=12), fontforge-nox | fontforge
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://github.com/rbanffy/3270font
 Vcs-Git: https://github.com/kilobyte/3270font.git -b debian

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	dh $@
 
 override_dh_auto_build:
-	make derived
+	make font
 
 override_dh_auto_install:

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/3270font-$1\.tar\.gz/ \
  https://github.com/rbanffy/3270font/tags .*/v?(\d\S*)\.tar\.gz

## 3270font 2.1.0

=== debian/changelog ===
3270font (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 27 Sep 2020 01:00:44 +0200

3270font (2.0.4-1) unstable; urgency=medium

  * New major upstream release, disguised as a point one.  Adds an imperial
    buttload of Unicode 13 drawing characters.
  * Give up wrt upstream tests, run fontlint ourselves.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 11 Apr 2020 15:02:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper-compat (=12), fontforge-nox | fontforge
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/rbanffy/3270font
 Vcs-Git: https://github.com/kilobyte/3270font.git -b debian

## 3270font 2.2.1

=== Makefile ===
.PHONY: clean help all font test fbchecks upload sample cask
.DEFAULT_GOAL := help

SHELL = /bin/sh
UNAME = $(shell uname)
MKDIR_P = mkdir -p
BUILD_DIR = build

ifeq ($(UNAME),Linux)
	DESTFOLDER=~/.local/share/fonts
endif
ifeq ($(UNAME),Darwin)
	DESTFOLDER=~/Library/Fonts
	FONTCASKER="$(shell brew --repository)/Library/Taps/homebrew/homebrew-cask-fonts/developer/bin/font_casker"
endif

.SUFFIXES:

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-10s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

help: ## Displays this message.
	@echo "Please use \`make <target>' where <target> is one of:"
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

all: font sample ## Generates the TrueType, OpenType, Type-1, WebFont files and sample image."

font: 3270_HQ.sfd fonts-3270.metainfo.xml ## Generates the font files from the SFD
	@$(MKDIR_P) ${BUILD_DIR}
	@./generate_derived.pe 2> /dev/null >&2
	@cp fonts-3270.metainfo.xml ${BUILD_DIR}

sample: font ## Generate sample images
	@./generate_sample_image.py
ifeq ($(UNAME),Linux)
	@terminator -e './test_font_rendering.sh terminator'
	@xterm -fa 'IBM3270' -fs 12 -geometry 80x25 -e \
		'./test_font_rendering.sh xterm'
	@konsole -geometry 820x520 -e './test_font_rendering.sh konsole'
	@gnome-terminal --profile='3270font-test' -q --geometry=80x25 \
		-- sh -c './test_font_rendering.sh gnome-terminal'
endif

install: font ## Copies the generated OTF fonts into the system-appropriate folder (Ubuntu, Fedora, OSX).
	@install -d $(DESTFOLDER)
	@install ${BUILD_DIR}/3270Condensed-Regular.ttf \
		${BUILD_DIR}/3270-Regular.ttf \
		${BUILD_DIR}/3270SemiCondensed-Regular.ttf $(DESTFOLDER)

uninstall: ## Uninstalls the generated fonts
	@$(RM) $(DESTFOLDER)/3270Condensed-Regular.ttf \
		$(DESTFOLDER)/3270-Regular.ttf \
		$(DESTFOLDER)/3270SemiCondensed-Regular.ttf

zip: font ## Creates the ZIP archive to be sent to S3 (the 'binary build')
	@zip -j ${BUILD_DIR}/3270_fonts_$(shell \
		git rev-parse --short HEAD).zip \
		${BUILD_DIR}/3270-Regular.* \
		${BUILD_DIR}/3270SemiCondensed-Regular.* \
		${BUILD_DIR}/3270Condensed-Regular.* \
		LICENSE.txt \
		fonts-3270.metainfo.xml

fbchecks: font ## Runs the Font Bakery set of tests required by Google Fonts
	@./fontbakery_checks.sh

skimpytest: font ## Runs the minimal tests and verifies the ZIP file mentioned in the README is present.
	@flake8 *.py
	@isort --check-only *.py
	@black --check -l79 *.py
	@fontlint ${BUILD_DIR}/3270-Regular.otf
	@fontlint ${BUILD_DIR}/3270-Regular.ttf
	@fontlint ${BUILD_DIR}/3270-Regular.woff
	@fontlint ${BUILD_DIR}/3270SemiCondensed-Regular.ttf
	@fontlint ${BUILD_DIR}/3270Condensed-Regular.ttf
	@wget --spider $(shell grep -Eo \
		'https://3270font.s3.amazonaws.com/3270_fonts_[^/"]+\.zip' \
		README.md)

test: skimpytest ## Generates and checks font files
# These are tests that fail on Travis (because their fontlint can't ignore
# stuff).
# Yes. This is "works on my computer".
	@fontlint -i 98 ${BUILD_DIR}/3270SemiCondensed-Regular.otf
	@fontlint -i 98 ${BUILD_DIR}/3270SemiCondensed-Regular.ttf
	@fontlint -i 98 ${BUILD_DIR}/3270SemiCondensed-Regular.woff
	@fontlint -i 98 ${BUILD_DIR}/3270Condensed-Regular.otf
	@fontlint -i 98 ${BUILD_DIR}/3270Condensed-Regular.ttf
	@fontlint -i 98 ${BUILD_DIR}/3270Condensed-Regular.woff

travistest: zip skimpytest ## Runs the Travis CI set of tests

fulltest: zip test fbchecks ## Runs the full set of tests
	@zip -T ${BUILD_DIR}/3270_fonts_*.zip

upload: zip sample ## Uploads the generated .zip and sample files to S3
	@aws s3 cp ${BUILD_DIR}/3270_fonts_$(shell \
		git rev-parse --short HEAD).zip \
		s3://3270font/ \
		--acl public-read \
		--storage-class REDUCED_REDUNDANCY
ifeq ($(UNAME),Linux)
	@aws s3 cp ${BUILD_DIR}/gnome-terminal.png s3://3270font/ --acl public-read \
		--storage-class REDUCED_REDUNDANCY
	@aws s3 cp ${BUILD_DIR}/konsole.png s3://3270font/ --acl public-read \
		--storage-class REDUCED_REDUNDANCY
	@aws s3 cp ${BUILD_DIR}/terminator.png s3://3270font/ --acl public-read \
		--storage-class REDUCED_REDUNDANCY
	@aws s3 cp ${BUILD_DIR}/xterm.png s3://3270font/ --acl public-read \
		--storage-class REDUCED_REDUNDANCY
endif
	@aws s3 cp ${BUILD_DIR}/3270_sample.png s3://3270font/ --acl public-read \
		--storage-class REDUCED_REDUNDANCY
	@./clean_camo_cache.sh

clean: ## Deletes all automatically generated files
	@$(RM) -rf ${BUILD_DIR}
	@$(RM) -rf gfonts_files/3270/*.ttf
	@$(RM) -rf gfonts_files/3270condensed/*.ttf
	@$(RM) -rf gfonts_files/3270semicondensed/*.ttf

cask: zip  ## Generate the font cask file (requires Homebrew)
ifeq ($(UNAME),Darwin)
	@${FONTCASKER} ${BUILD_DIR}/3270_fonts_$(shell git rev-parse --short HEAD).zip
endif

=== requirements.txt ===
git+https://github.com/googlefonts/fontbakery
git+https://github.com/googlefonts/gftools
black
flake8
ipdb
isort
pillow==7.0.0 #Remove when googlefonts/gftools merges #249

=== debian/changelog ===
3270font (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * dh 13.
  * Bump watch file version to 4, no changes.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 17 Jan 2021 20:15:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper-compat (=12), fontforge-nox | fontforge
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (=13), fontforge-nox | fontforge
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/rbanffy/3270font
 Vcs-Git: https://github.com/kilobyte/3270font.git -b debian

## 3270font 2.3.1

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,8 @@
 sample: font ## Generate sample images
 	@./generate_sample_image.py
 ifeq ($(UNAME),Linux)
+	@urxvt -fn "xft:IBM3270:size=12" --geometry 80x25 -fg white \
+		-bg black -e ./test_font_rendering.sh urxvt
 	@terminator -e './test_font_rendering.sh terminator'
 	@xterm -fa 'IBM3270' -fs 12 -geometry 80x25 -e \
 		'./test_font_rendering.sh xterm'
@@ -116,6 +118,8 @@
 		--storage-class REDUCED_REDUNDANCY
 	@aws s3 cp ${BUILD_DIR}/xterm.png s3://3270font/ --acl public-read \
 		--storage-class REDUCED_REDUNDANCY
+	@aws s3 cp ${BUILD_DIR}/urxvt.png s3://3270font/ --acl public-read \
+		--storage-class REDUCED_REDUNDANCY
 endif
 	@aws s3 cp ${BUILD_DIR}/3270_sample.png s3://3270font/ --acl public-read \
 		--storage-class REDUCED_REDUNDANCY
@@ -131,3 +135,9 @@
 ifeq ($(UNAME),Darwin)
 	@${FONTCASKER} ${BUILD_DIR}/3270_fonts_$(shell git rev-parse --short HEAD).zip
 endif
+
+image: ## Builds the container image
+	docker build -t 3270font:latest .
+
+generate: ## Generates the fonts using the container image
+	docker run --rm -v ${PWD}:/opt 3270font:latest make font

=== debian/changelog ===
3270font (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 08 Oct 2021 22:30:33 +0200

3270font (2.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 13 Sep 2021 03:14:41 +0200

3270font (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 07 Mar 2021 21:52:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper-compat (=13), fontforge-nox | fontforge
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/rbanffy/3270font
 Vcs-Git: https://github.com/kilobyte/3270font.git -b debian

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,6 @@
 override_dh_auto_clean:
 	make clean
 	rm -f 3270Medium_HQ_Narrow.sfd
+
+override_dh_auto_test:
+	for f in build/*f; do fontlint -i 98 $$f || exit 1; done

## 3270font 3.0.1

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 help: ## Displays this message.
 	@echo "Please use \`make <target>' where <target> is one of:"
-	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)
+	@python3 -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)
 
 all: font sample ## Generates the TrueType, OpenType, Type-1, WebFont files and sample image."
 
@@ -38,15 +38,35 @@
 	@./generate_derived.pe 2> /dev/null >&2
 	@cp fonts-3270.metainfo.xml ${BUILD_DIR}
 
-sample: font ## Generate sample images
+sample: font build/3270_sample.gif
+
+build/3270_sample.gif:
 	@./generate_sample_image.py
+
+build/urxvt.png: font
 ifeq ($(UNAME),Linux)
 	@urxvt -fn "xft:IBM3270:size=12" --geometry 80x25 -fg white \
 		-bg black -e ./test_font_rendering.sh urxvt
-	@terminator -e './test_font_rendering.sh terminator'
+endif
+
+build/terminator.png: font
+ifeq ($(UNAME),Linux)
+	@terminator -p 3270font -e './test_font_rendering.sh terminator'
+endif
+
+build/xterm.png: font
+ifeq ($(UNAME),Linux)
 	@xterm -fa 'IBM3270' -fs 12 -geometry 80x25 -e \
 		'./test_font_rendering.sh xterm'
-	@konsole -geometry 820x520 -e './test_font_rendering.sh konsole'
+endif
+
+build/konsole.png: font
+ifeq ($(UNAME),Linux)
+	@konsole -p font='IBM3270, 12' -e './test_font_rendering.sh konsole'
+endif
+
+build/gnome-terminal.png: font
+ifeq ($(UNAME),Linux)
 	@gnome-terminal --profile='3270font-test' -q --geometry=80x25 \
 		-- sh -c './test_font_rendering.sh gnome-terminal'
 endif
@@ -74,40 +94,51 @@
 fbchecks: font ## Runs the Font Bakery set of tests required by Google Fonts
 	@./fontbakery_checks.sh
 
-skimpytest: font ## Runs the minimal tests and verifies the ZIP file mentioned in the README is present.
+ttftest: font ## Runs the minimal tests and verifies the ZIP file mentioned in the README is present.
 	@flake8 *.py
 	@isort --check-only *.py
 	@black --check -l79 *.py
-	@fontlint ${BUILD_DIR}/3270-Regular.otf
-	@fontlint ${BUILD_DIR}/3270-Regular.ttf
-	@fontlint ${BUILD_DIR}/3270-Regular.woff
-	@fontlint ${BUILD_DIR}/3270SemiCondensed-Regular.ttf
-	@fontlint ${BUILD_DIR}/3270Condensed-Regular.ttf
+# Checks we may need to ignore
+# 2 Self-intersecting glyph
+# 5 Missing points at extrema
+# 23 Overlapping hints in a glyph
+# 34 Bad 'CFF ' table
+# 98 Self-intersecting glyph (issue #2) when FontForge is able to correct this
+	fontlint ${BUILD_DIR}/3270-Regular.ttf
+	fontlint -w 2 -w 98 ${BUILD_DIR}/3270Condensed-Regular.ttf
+	fontlint -w 2 -w 5 ${BUILD_DIR}/3270SemiCondensed-Regular.ttf
+
+# Verify if the README points to an existing ZIP file
 	@wget --spider $(shell grep -Eo \
 		'https://3270font.s3.amazonaws.com/3270_fonts_[^/"]+\.zip' \
 		README.md)
 
-test: skimpytest ## Generates and checks font files
-# These are tests that fail on Travis (because their fontlint can't ignore
-# stuff).
-# Yes. This is "works on my computer".
-	@fontlint -i 98 ${BUILD_DIR}/3270SemiCondensed-Regular.otf
-	@fontlint -i 98 ${BUILD_DIR}/3270SemiCondensed-Regular.ttf
-	@fontlint -i 98 ${BUILD_DIR}/3270SemiCondensed-Regular.woff
-	@fontlint -i 98 ${BUILD_DIR}/3270Condensed-Regular.otf
-	@fontlint -i 98 ${BUILD_DIR}/3270Condensed-Regular.ttf
-	@fontlint -i 98 ${BUILD_DIR}/3270Condensed-Regular.woff
+travistest: help zip ttftest ## Runs the Travis CI set of tests
 
-travistest: zip skimpytest ## Runs the Travis CI set of tests
+test: zip ttftest ## Runs more extensive tests
+# Checks we may need to ignore
+# 2 Self-intersecting glyph
+# 5 Missing points at extrema
+# 23 Overlapping hints in a glyph
+# 34 Bad 'CFF ' table
+# 98 Self-intersecting glyph (issue #2) when FontForge is able to correct this
+	fontlint -w 2 -w 98 ${BUILD_DIR}/3270-Regular.otf
+	fontlint -w 2 -w 98  ${BUILD_DIR}/3270-Regular.woff
+	fontlint -w 2 -w 5 -w 98 ${BUILD_DIR}/3270SemiCondensed-Regular.otf
+	fontlint -w 2 -w 5 -w 98 ${BUILD_DIR}/3270SemiCondensed-Regular.woff
+	fontlint -w 2 -w 98 ${BUILD_DIR}/3270Condensed-Regular.otf
+	fontlint -w 2 -w 98 ${BUILD_DIR}/3270Condensed-Regular.woff
 
-fulltest: zip test fbchecks ## Runs the full set of tests
+fulltest: test fbchecks ## Runs the full set of tests
 	@zip -T ${BUILD_DIR}/3270_fonts_*.zip
 
-upload: zip sample ## Uploads the generated .zip and sample files to S3
+upload: zip build/3270_sample.gif build/urxvt.png build/terminator.png build/xterm.png build/konsole.png build/gnome-terminal.png ## Uploads the generated .zip and sample files to S3
 	@aws s3 cp ${BUILD_DIR}/3270_fonts_$(shell \
 		git rev-parse --short HEAD).zip \
 		s3://3270font/ \
 		--acl public-read \
+		--storage-class REDUCED_REDUNDANCY
+	@aws s3 cp ${BUILD_DIR}/3270_sample.gif s3://3270font/ --acl public-read \
 		--storage-class REDUCED_REDUNDANCY
 ifeq ($(UNAME),Linux)
 	@aws s3 cp ${BUILD_DIR}/gnome-terminal.png s3://3270font/ --acl public-read \
@@ -121,15 +152,14 @@
 	@aws s3 cp ${BUILD_DIR}/urxvt.png s3://3270font/ --acl public-read \
 		--storage-class REDUCED_REDUNDANCY
 endif
-	@aws s3 cp ${BUILD_DIR}/3270_sample.png s3://3270font/ --acl public-read \
-		--storage-class REDUCED_REDUNDANCY
 	@./clean_camo_cache.sh
 
 clean: ## Deletes all automatically generated files
-	@$(RM) -rf ${BUILD_DIR}
-	@$(RM) -rf gfonts_files/3270/*.ttf
-	@$(RM) -rf gfonts_files/3270condensed/*.ttf
-	@$(RM) -rf gfonts_files/3270semicondensed/*.ttf
+	@$(RM) -rfv ${BUILD_DIR}
+	@$(RM) -rfv gfonts_files/3270/*.ttf gfonts_files/3270/*.html \
+		gfonts_files/3270/*.txt
+	@$(RM) -rfv gfonts_files/3270condensed/*
+	@$(RM) -rfv gfonts_files/3270semicondensed/*
 
 cask: zip  ## Generate the font cask file (requires Homebrew)
 ifeq ($(UNAME),Darwin)
@@ -140,4 +170,4 @@
 	docker build -t 3270font:latest .
 
 generate: ## Generates the fonts using the container image
-	docker run --rm -v ${PWD}:/opt 3270font:latest make font
+	docker run --rm -v ${PWD}:/opt:Z 3270font:latest make font

=== requirements.txt ===
awscli
black
compreffor
flake8
fontbakery
fontpens
gftools
ipdb
isort
pip-chill

=== debian/changelog ===
3270font (3.0.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 30 Jul 2022 01:05:25 +0200

3270font (3.0.0-2) unstable; urgency=medium

  * Install TTF not OTF, the latter produces uneven glyphs somehow.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 08 Jul 2022 07:49:53 +0200

3270font (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Don't run fontlint during build for now...

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 02 Jul 2022 02:19:39 +0200

3270font (2.3.1-2) unstable; urgency=medium

  * Ignore two fontlint warnings (intersecting glyph, points at extrema).
    Closes: #1013548.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 26 Jun 2022 23:48:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper-compat (=13), fontforge-nox | fontforge
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/rbanffy/3270font
 Vcs-Git: https://github.com/kilobyte/3270font.git -b debian

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
 	rm -f 3270Medium_HQ_Narrow.sfd
 
 override_dh_auto_test:
-	for f in build/*f; do fontlint -i 98 $$f || exit 1; done
+	#for f in build/*f; do fontlint -i 98 -i 2 -i 5 $$f || exit 1; done

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/3270font-$1\.tar\.gz/ \
  https://github.com/rbanffy/3270font/tags .*/v(\d\S*)\.tar\.gz
